List company accounts
curl --request GET \
--url https://api.finsync.ar/api/accounts \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"name": "<string>",
"currency_name": "<string>",
"client_id": 123,
"balance": 123,
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client": {
"id": 123,
"name": "<string>",
"type": 123,
"company_id": 123
}
}
],
"count": 123
}Accounts
List company accounts
Company-scoped account list, including internal cajas. Same account records embedded on GET /api/clients and GET /api/clients/. Optional filters: client_id, type (0=internal, 1=external).
GET
/
api
/
accounts
List company accounts
curl --request GET \
--url https://api.finsync.ar/api/accounts \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"name": "<string>",
"currency_name": "<string>",
"client_id": 123,
"balance": 123,
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client": {
"id": 123,
"name": "<string>",
"type": 123,
"company_id": 123
}
}
],
"count": 123
}Authorizations
API Key for authentication
Query Parameters
Limit to accounts belonging to this client
Filter by owning client type: 0 = internal caja, 1 = external
Available options:
0, 1